"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getReactNativeMediaSize = getReactNativeMediaSize;

var _reactNative = require("react-native");

/**
 * Wraps the native react native image size util to return a promise with the MediaSize.
 * @param uri The file Uri path to the image
 * @returns Promise with MediaSize
 */
function getReactNativeMediaSize(uri) {
  return new Promise((res, rej) => {
    _reactNative.Image.getSize(uri, (width, height) => res({
      height,
      width
    }), err => rej(err));
  });
}
//# sourceMappingURL=get-react-rative-image-size.js.map